{% from "src/elements/components/radio.njk" import radio  %}
{% from "src/elements/components/checkbox.njk" import checkbox  %}
{% from "src/elements/components/svgIcon.njk" import svgIcon  %}
{% from "src/elements/components/rating.njk" import rating  %}
{% from "src/elements/components/quantity.njk" import quantity  %}

<!DOCTYPE html>
<html lang="ru">
<head>
  {% block head %}
    <meta charset="utf-8">
    <title>{{ title }}</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta property="og:image" content="images/dest/preview.jpg">
    <link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
      <link rel="preconnect" href="https://fonts.googleapis.com">
      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
      <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">
      <link rel="stylesheet" href="css/main.min.css">
  {% endblock %}
</head>
<body>
<div class="root">
    {% block header %}
        {% include "src/elements/_header.njk" %}
    {% endblock %}
    {% block nav %}
        {% include "src/elements/_nav.njk" %}
    {% endblock %}
    {% block main %}
        <section class="main">
            <div class="container">
                {% block content %}
                {% endblock %}
            </div>
        </section>
    {% endblock %}
    {% block footer %}
      {% include "src/elements/_footer.njk" %}
    {% endblock %}

    {% block modal %}
        {% include "src/elements/_modal.njk" %}
    {% endblock %}
</div>
  {% block scripts %}
      <script src="js/app.min.js"></script>
  {% endblock %}
</body>
</html>
